PHP-инклюдинг в BIGACE Web CMS

Дата публикации:
14.05.2008
Дата изменения:
18.08.2008
Всего просмотров:
1009
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BIGACE Web CMS 2.x
Уязвимые версии: BIGACE Web CMS 2.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "GLOBALS[_BIGACE][DIR][addon]" в сценариях addon/smarty/plugins/function.captcha.php и system/classes/sql/AdoDBConnection.php и в параметре "GLOBALS[_BIGACE][DIR][admin]" в сценариях system/admin/plugins/menu/menuTree/plugin.php, system/application/util/item_information.php и system/application/util/jstree.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.bigace.de

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


10.08.2008
Изменена секция "Решение".

или введите имя

CAPTCHA